Bug 192553 - [patch] teach security/tor and security/tor-devel to reload
Summary: [patch] teach security/tor and security/tor-devel to reload
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Brendan Fabeny
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-08-10 17:21 UTC by Christian Sturm
Modified: 2015-03-09 06:54 UTC (History)
0 users

See Also:


Attachments
patch for files/tor.in (459 bytes, patch)
2014-08-10 17:21 UTC, Christian Sturm
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Christian Sturm 2014-08-10 17:21:41 UTC
Created attachment 145615 [details]
patch for files/tor.in

The tor service supports configuration reload via SIGHUP. This is the default for rc-scripts, so we just need to mark this functionality as available. The attached patch of files/tor.in can and should be applied to both security/tor and security/tor-devel.
Comment 1 John Marino freebsd_committer 2014-08-10 17:45:12 UTC
over to maintainer.
Comment 2 commit-hook freebsd_committer 2014-09-18 19:40:57 UTC
A commit references this bug:

Author: bf
Date: Thu Sep 18 19:40:38 UTC 2014
New revision: 368512
URL: http://svnweb.freebsd.org/changeset/ports/368512

Log:
  Expose the reload command in the tor and tor-devel rc-scripts [1],
  and update tor-devel to 0.2.5.7-rc

  PR:		192553 [1]
  Submitted by:	C. Sturm [1]

Changes:
  head/security/tor/Makefile
  head/security/tor/files/tor.in
  head/security/tor-devel/Makefile
  head/security/tor-devel/distinfo
  head/security/tor-devel/files/tor.in